import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineTransactionCreateManyPaymentInputObjectSchema as ServiceLineTransactionCreateManyPaymentInputObjectSchema } from './ServiceLineTransactionCreateManyPaymentInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => ServiceLineTransactionCreateManyPaymentInputObjectSchema), z.lazy(() => ServiceLineTransactionCreateManyPaymentInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const ServiceLineTransactionCreateManyPaymentInputEnvelopeObjectSchema: z.ZodType<Prisma.ServiceLineTransactionCreateManyPaymentInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineTransactionCreateManyPaymentInputEnvelope>;
export const ServiceLineTransactionCreateManyPaymentInputEnvelopeObjectZodSchema = makeSchema();
